
<div id="sidebar">
	<div id="sidebar-pad">

		<h2><?php echo __('Sidebar', PADD_THEME_SLUG) ?></h2>

		<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar') ) : ?>

		<div class="box box-search">
			<div class="title">
				<h3><?php echo __('Search', PADD_THEME_SLUG); ?></h3>
			</div>
			<div class="interior">
				<?php get_search_form(); ?>
			</div>
		</div>

		<div class="box box-ads">
			<div class="title">
				<h3><?php echo __('Sponsors', PADD_THEME_SLUG); ?></h3>
			</div>
			<div class="interior">
				<?php padd_theme_widget_sponsors(); ?>
			</div>
		</div>

		<div class="box box-popular-posts">
			<div class="title">
				<h3><?php echo __('Popular Posts', PADD_THEME_SLUG); ?></h3>
			</div>
			<div class="interior">
				<?php
					if (function_exists('get_mostpopular')) :
						get_mostpopular('pages=0&stats_comments=1&range=all&limit=5&thumbnail_selection=usergenerated&thumbnail_width=50&thumbnail_height=50&do_pattern=1&pattern_form={image}{title}{stats}');
					else :
				?>
				<p>Please install the <a href="http://wordpress.org/extend/plugins/wordpress-popular-posts/">Wordpress Popular Posts plugin</a>.</p>
				<?php
					endif;
				?>
			</div>
		</div>

		<div class="box box-categories">
			<div class="title">
				<h3><?php echo __('Categories', PADD_THEME_SLUG); ?></h3>
			</div>
			<div class="interior">
				<ul>
					<?php wp_list_categories('title_li='); ?>
				</ul>
			</div>
		</div>

		<div class="box box-fb-like">
			<div class="title">
				<h3><?php echo __('Facebook Like Box', PADD_THEME_SLUG); ?></h3>
			</div>
			<div class="interior">
				<?php padd_theme_widget_facebook_likebox(); ?>
			</div>
		</div>

		<?php endif; ?>

	</div>
</div>


